# Uses of Class
org.eclipse.draw2d.text.TextFlow

Packages that use TextFlow
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of TextFlow in org.eclipse.draw2d.text

Constructors in org.eclipse.draw2d.text with parameters of type TextFlow
Modifier
Constructor
Description
``
`ParagraphTextLayout(TextFlow flow)`
Constructs a new ParagraphTextLayout on the specified TextFlow.
``
`ParagraphTextLayout(TextFlow flow, int style)`
Constructs the layout with the specified TextFlow and wrapping style.
``
`SimpleTextLayout(TextFlow flow)`
Creates a new SimpleTextLayout with the given TextFlow
``
`TextFragmentBox(TextFlow textflow)`
Creates a new TextFragmentBox for the given text flow.
``
`TextLayout(TextFlow flow)`
Creates a new TextLayout with the given TextFlow